package dao;

import java.time.LocalDate;
import java.time.LocalTime;

public class Message {
    int idMessage;
    int idConv;
    Utilisateur utilisateur;
    LocalDate jour;
    LocalTime heure;
    String message;
    public Message(int idMessage, int idConv, LocalDate jour, LocalTime heure, String message, Utilisateur utilisateur) {
        this.idMessage = idMessage;
        this.idConv = idConv;
        this.utilisateur = utilisateur;
        this.jour = jour;
        this.heure = heure;
        this.message = message;
    }
    @Override
    public String toString(){
        return "<span class=\"message\">"+ utilisateur.getPseudo() + " : " + message + "</span><span class=\"time\"> le "+ jour +" à "+heure+"</span>";
    }

    public int getIdMessage() {
        return idMessage;
    }
    public int getIdConv() {
        return idConv;
    }
    public Utilisateur getUtilisateur() {
        return utilisateur;
    }
    public LocalDate getJour() {
        return jour;
    }
    public LocalTime getHeure() {
        return heure;
    }
    public String getMessage() {
        return message;
    }
    public void setMessage(String message) {
        this.message = message;
    }
    
}
