package dao;

import java.util.List;

public interface MessageDao {
    Message findById(int idMessage);
    List<Message> findAll(Utilisateur utilisateur);
    List<Message> findAll(Conversation conversation);
    boolean createMessage(Utilisateur utilisateur, String message, int idConv);
    boolean updateMessage(int idMessage, String message);
    boolean deleteMessage(int idMessage);
}
