package dao;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;


public class UtilisateurJdbcDao implements UtilisateurDao{
    public UtilisateurJdbcDao(){
        
    }
    public Utilisateur findByEmail(String email){
        try (Connection con = getCon(); Statement stmt = con.createStatement()) {
            String sql = "SELECT * FROM Utilisateur WHERE email = '"+ email +"';";
            System.err.println(sql);
            ResultSet rs = stmt.executeQuery(sql);
            rs.next();
            Utilisateur utilisateur = new Utilisateur(rs.getString(1), rs.getString(2), rs.getString(3)); 
            rs.close();
            con.close();
            return utilisateur;
        }catch (SQLException e) {
            System.out.println("Erreur lors de l'accès à la base de données : " + e.getMessage());
            e.printStackTrace();
        }
        return new Utilisateur("err", "err", "err");
    }
    public List<Utilisateur> findAll(){
        try (Connection con = getCon(); Statement stmt = con.createStatement()) {
            String sql = "SELECT * FROM Utilisateur;";
            System.err.println(sql);
            ResultSet rs = stmt.executeQuery(sql);
            List<Utilisateur> list = new ArrayList<Utilisateur>();
            while(rs.next()){
                list.add(new Utilisateur(rs.getString(1), rs.getString(2), rs.getString(3))); 
            }
            rs.close();
            con.close();
            return list;
        }catch (SQLException e) {
            System.out.println("Erreur lors de l'accès à la base de données : " + e.getMessage());
            e.printStackTrace();
        }
        return new ArrayList<Utilisateur>();
    }
    public boolean createUtilisateur(Utilisateur util) {
        try (Connection con = getCon(); Statement stmt = con.createStatement()) {
            String sql = "INSERT INTO Utilisateur(pseudo, email, pwd) VALUES('"+util.getPseudo()+"'','"+util.getEmail()+"','"+util.getPwd()+"');";
            System.err.println(sql);
            ResultSet rs = stmt.executeQuery(sql);
            rs.next();
            rs.close();
            con.close();
            return true;
        }catch (SQLException e) {
            System.out.println("Erreur lors de l'accès à la base de données : " + e.getMessage());
            e.printStackTrace();
        }
        return false;
    }
    public boolean updateUtilisateur(Utilisateur util, String pseudo, String email, String pwd) {
        if("".equals(pseudo)){
            pseudo = util.getPseudo();
        }
        if("".equals(email)){
            email = util.getEmail();
        }
        if("".equals(pwd)){
            pwd = util.getPwd();
        }
        try (Connection con = getCon(); Statement stmt = con.createStatement()) {
            String sql = "UPDATE Utilisateur SET pseudo = "+pseudo+", email = "+email+", pwd = "+pwd+" WHERE email = "+util.getEmail()+";";
            System.err.println(sql);
            ResultSet rs = stmt.executeQuery(sql);
            rs.next();
            rs.close();
            con.close();
            return true;
        }catch (SQLException e) {
            System.out.println("Erreur lors de l'accès à la base de données : " + e.getMessage());
            e.printStackTrace();
        }
        return false;
    }

    public boolean deleteUtilisateur(Utilisateur util) {
        try (Connection con = getCon(); Statement stmt = con.createStatement()) {
            String sql = "DELETE FROM Utilisateur WHERE email = "+util.getEmail()+";";
            System.err.println(sql);
            ResultSet rs = stmt.executeQuery(sql);
            rs.next();
            rs.close();
            con.close();
            return true;
        }catch (SQLException e) {
            System.out.println("Erreur lors de l'accès à la base de données : " + e.getMessage());
            e.printStackTrace();
        }
        return false;
    }

    private Connection getCon() {
        
        try {

            String driver = "org.postgresql.Driver";
            String url = "jdbc:postgresql://psqlserv/but2";
            String nom = "alexandredehaineetu";
            String mdp = "moi";

            Class.forName(driver);
            return DriverManager.getConnection(url, nom, mdp);

        } catch (Exception e) {
            System.out.println(e.getMessage());
        }

        return null;

    }
}
