<%@ page pageEncoding="UTF-8" %>
<%@ page import="dao.*" %>
<%@ page import="java.util.List" %>
<%@ page import="java.sql.*" %>
<%@ page import="jakarta.servlet.*" %>
<!DOCTYPE html>
<html>

<head>
    <title> Accueil </title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <% response.setIntHeader("Refresh", 5); %>
</head>

<body style="background-color: rgb(244, 245, 241);">
    <%
    String UserEmail = (String) session.getAttribute("token");
    if (UserEmail == null || UserEmail.isEmpty() || UserEmail == "err") {
        out.println("null");
        response.sendRedirect("login.html");
    }
    UtilisateurJdbcDao jdbcUser = new UtilisateurJdbcDao();
    Utilisateur utilisateur = jdbcUser.findByEmail(UserEmail);
    out.println("<br><div class=\"container btn-container\"> <div class=\"btn btn-primary\">Accueil</div> <a href=\"http://localhost:8080/sae-r4.01/rejoindre.jsp\" class=\"btn btn-primary\">Rejoindre / créer une conversation</a> <a href=\"http://localhost:8080/sae-r4.01/rejoindre.jsp?deconnection=true\" class=\"btn btn-primary\">Se déconnecter de " + utilisateur.getPseudo() + "</a> </div>");
    ConversationJdbcDao jdbcConv = new ConversationJdbcDao();
    List<Conversation> conv = jdbcConv.findByUser(utilisateur.getEmail());
    String stringConv = request.getParameter("idConv");
    int selectedConvId;
    try {
        selectedConvId = Integer.parseInt(stringConv);
    } catch (NumberFormatException e) {
        selectedConvId = 0;
    }
    MessageJdbcDao jdbcMessage = new MessageJdbcDao();
    if(request.getParameter("Message") != null && selectedConvId != 0){
        if(request.getParameter("pwd") == null){
            jdbcMessage.createMessage(utilisateur, request.getParameter("Message"), selectedConvId);
            response.sendRedirect("http://localhost:8080/sae-r4.01/accueil.jsp?idConv=" + selectedConvId);
        }else if(jdbcConv.goodPwd(selectedConvId, request.getParameter("pwd"))){
            jdbcMessage.createMessage(utilisateur, request.getParameter("Message"), selectedConvId);
            response.sendRedirect("http://localhost:8080/sae-r4.01/accueil.jsp?idConv=" + selectedConvId);
        }
    }
    if(request.getParameter("param") != null && request.getParameter("param").equals("create")){
        selectedConvId = jdbcConv.createConversation(request.getParameter("nomConv") ,utilisateur, request.getParameter("pwd"));
        jdbcMessage.createMessage(utilisateur, request.getParameter("Message"), selectedConvId);
        response.sendRedirect("http://localhost:8080/sae-r4.01/accueil.jsp?idConv=" + selectedConvId);
    }
    %>

    <br>
    <style>
        table, th, td {
            border: 1px solid black;
        }
        .btn-container {
        display: flex;
        justify-content: space-between;
        width: 50%;
        }
        .time{
            display: none;
        }
        .message:hover + .time{
            display: inline;
            font-size:x-small;
            font-style: italic;
        }
    </style>
    <br>
    <div class="container">
    <table>
        <tr>
            <th>Identifiant</th>
            <th>Nom</th>
            <th>Createur</th>
            <th>Date de création</th>
            <th>Supprimer</th>
        </tr>
        <%
        if(conv.size()==0){
            out.println("<tr> <td colspan=\"4\">Aucune conversation rejointe</td></tr>");
        }else{
            for (int i = 0; i < conv.size(); i++) {
                out.println("<tr>");
                out.println("<td>" + conv.get(i).getIdConv() + "</td>");
                out.println("<td> <a href=http://localhost:8080/sae-r4.01/accueil.jsp?idConv="+conv.get(i).getIdConv()+">"+conv.get(i).getNomConv() + "</a></td>");
                out.println("<td>" + conv.get(i).getCreateur().getPseudo() + "</td>");
                out.println("<td>" + conv.get(i).getDateCrea() + "</td>");
                if(utilisateur.equals(conv.get(i).getCreateur())){
                    out.println("<td> <a href=\"http://localhost:8080/sae-r4.01/Supprimer.jsp?idConv="+conv.get(i).getIdConv()+"\">Supprimer</a> </td>");
                }
                out.println("</tr>");
            }
        }
        %>
    </table>
    </div>
    <br><br>
    <div class="container">
    <%
        if (selectedConvId > 0 && conv.contains(jdbcConv.findById(selectedConvId))) {
            List<Message> selectedConv = jdbcConv.findAllMessages(selectedConvId);
            out.println("<h3>Messages de la conversation :</h3>");
            for (int i = 0; i < selectedConv.size(); i++) {
                out.println(selectedConv.get(i) + "<br>");
            }
            out.println("<form action='accueil.jsp' method='get'>");
            out.println("<label for=\"Message\">Message:</label>");
            out.println("<input type=\"text\" id=\"Message\" name=\"Message\" onfocus=\"this.select()\">");
            out.println("<button type=\"submit\" name=\"idConv\" value=\""+stringConv+"\" class=\"btn btn-primary\">Envoyer</button>");
            out.println("</form>");
        } else {
            out.println("<p>Aucune conversation sélectionnée.</p>");
        }
    %>
    </div>
</body>

</html>
